Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.registry
Interface FindQualifier

public interface FindQualifier

FindQualifier provides various constants that identify options that effect find method behavior. A JAXR provider may silently ignore any qualifiers marked as optional. A JAXR provider must support qualifiers not marked optional.

See Also:
  `BusinessQueryManager`

Field Summary
`static java.lang.String` | `AND_ALL_KEYS`
`static java.lang.String` | `CASE_SENSITIVE_MATCH`
`static java.lang.String` | `COMBINE_CLASSIFICATIONS` Maps to UDDI combineCategoryBags.
`static java.lang.String` | `EXACT_NAME_MATCH`
`static java.lang.String` | `OR_ALL_KEYS`
`static java.lang.String` | `OR_LIKE_KEYS`
`static java.lang.String` | `SERVICE_SUBSET` Maps to UDDI serviceSubset.
`static java.lang.String` | `SORT_BY_DATE_ASC`
`static java.lang.String` | `SORT_BY_DATE_DESC`
`static java.lang.String` | `SORT_BY_NAME_ASC`
`static java.lang.String` | `SORT_BY_NAME_DESC`
`static java.lang.String` | `SOUNDEX` Optional qualifier that allows matching strings by their sounds.

Field Detail

### EXACT_NAME_MATCH

    public static final java.lang.String EXACT_NAME_MATCH

See Also:
  Constant Field Values

### CASE_SENSITIVE_MATCH

    public static final java.lang.String CASE_SENSITIVE_MATCH

See Also:
  Constant Field Values

### SORT_BY_NAME_ASC

    public static final java.lang.String SORT_BY_NAME_ASC

See Also:
  Constant Field Values

### SORT_BY_NAME_DESC

    public static final java.lang.String SORT_BY_NAME_DESC

See Also:
  Constant Field Values

### SORT_BY_DATE_ASC

    public static final java.lang.String SORT_BY_DATE_ASC

See Also:
  Constant Field Values

### SORT_BY_DATE_DESC

    public static final java.lang.String SORT_BY_DATE_DESC

See Also:
  Constant Field Values

### OR_LIKE_KEYS

    public static final java.lang.String OR_LIKE_KEYS

See Also:
  Constant Field Values

### OR_ALL_KEYS

    public static final java.lang.String OR_ALL_KEYS

See Also:
  Constant Field Values

### COMBINE_CLASSIFICATIONS

    public static final java.lang.String COMBINE_CLASSIFICATIONS

  Maps to UDDI combineCategoryBags. Required for JAXR UDDI providers, optional for all others.

  See Also:
    Constant Field Values

### SERVICE_SUBSET

    public static final java.lang.String SERVICE_SUBSET

  Maps to UDDI serviceSubset. Required for JAXR UDDI providers, optional for all others.

  See Also:
    Constant Field Values

### AND_ALL_KEYS

    public static final java.lang.String AND_ALL_KEYS

See Also:
  Constant Field Values

### SOUNDEX

    public static final java.lang.String SOUNDEX

  Optional qualifier that allows matching strings by their sounds.

  See Also:
    Constant Field Values

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.